Dell XPS 17 (9710) PCI/internal sound card not detected

Bug #1935850 reported by Michael Black
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Hirsute
Low
Hui Wang
Impish
Low
Unassigned

Bug Description

This patch is for soundwire audio, and only ubuntu 5.11-generic
and later kernels support soundwire audio driver, so this patch is not
sent to groovy and focal kernels.

For oem-5.10 and oem-5.13 kernels, since this bug is not from OEM
project, it is not urgent to merge this patch to OEM kenrels, after
the patch is in the hirsute and impish kernels, the oem kernels will
have this patch when syncing with generic kernels.

[Impact]
On the Dell XPS 17 (9710) machine, the audio card is not detected when
booting hirsute or impish kernels. So the audio doesn't work on this
machine with ubuntu linux 21.04 or 21.10.

[Fix]
Backport a upstream patch, this will set the correct codec config
for this machine: rt711 for headset, dual rt1308 for spks and rt715
for internal mic.

[Test]
Booting up with the patched kernel, the audio card is detected, test
internal speaker and internal mic, all work well, plug a headset,
the headphone and external mic work well too.

[Where problems could occur]
This change only applis to the Dell machines with the
DMI_PRODUCT_SKU equals to "0A5D", if this could introduce the
regression, it will make the audio (speaker, internal mic and headset)
can't work anymore on the Dell machine with that PRODUCT_SKU, but this
possibility is very low, and we tested the patch on the machine, so
far no regression is found.

No audio/mic from internal speakers/build in microphone running Ubuntu 20.04, 20.10 or 21.04 . Can connect via USB headset and audio will work. Tried suggestions from Dell XPS 17 (9700) but this is the new model and fixes do not work. Currently running 21.04 with proposed.

Have tried hirsute-proposed (5.11.0-24-generic) with no luck.

ProblemType: Bug
DistroRelease: Ubuntu 21.04
Package: alsa-base 1.0.25+dfsg-0ubuntu7
ProcVersionSignature: Ubuntu 5.11.0-24.25-generic 5.11.22
Uname: Linux 5.11.0-24-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu65.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mblack 1698 F.... pulseaudio
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Mon Jul 12 11:21:27 2021
InstallationDate: Installed on 2021-07-07 (4 days ago)
InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/15/2021
dmi.bios.release: 1.2
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.2.0
dmi.board.name: 012MMP
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.2.0:bd06/15/2021:br1.2:svnDellInc.:pnXPS179710:pvr:rvnDellInc.:rn012MMP:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 17 9710
dmi.product.sku: 0A5D
dmi.sys.vendor: Dell Inc.

CVE References

Revision history for this message
Michael Black (mblack154) wrote :
description: updated
Revision history for this message
Hui Wang (hui.wang) wrote :

[ 6.552898] sof-audio-pci 0000:00:1f.3: error: firmware boot failure
[ 6.552929] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 6.552935] sof-audio-pci 0000:00:1f.3: error: status = 0x00000000 panic = 0x00000211
[ 6.552968] sof-audio-pci 0000:00:1f.3: error: extended rom status: 0x5 0x0 0x211 0x0 0x0 0x0 0x2530509 0x0
[ 6.552973] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 6.552975] sof-audio-pci 0000:00:1f.3: error: failed to boot DSP firmware -5
[ 6.554668] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -5

Revision history for this message
Hui Wang (hui.wang) wrote :

your machine uses Intel TGL-H chipset, let me find a higher version firmware.

Revision history for this message
Nuno Pato (nunopato) wrote (last edit ):

Hi there,

Same model here (Dell XPS 17 9710) with Ubuntu 21.04. I see the exact same stack trace after enabling the Nvidia drivers (replacing Nouveau) advised for the RTX 3060.

Tried with versions 460 & 465: same problem.

Revision history for this message
Hui Wang (hui.wang) wrote :

Please try the latest sof-tgl-h.ri in the https://github.com/thesofproject/sof-bin (like 1.7.x or 1.8.x), this file is at /lib/firmware/intel/sof/ under ubuntu

Revision history for this message
Michael Black (mblack154) wrote :

Tried sof-tgl-h.ri 1.7 and 1.8 signed and RC2 of both. Speakers are still showing dummy output. Still getting:

[ 5.999872] sof-audio-pci 0000:00:1f.3: error: firmware boot failure
[ 5.999879] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 5.999885] sof-audio-pci 0000:00:1f.3: error: status = 0x00000000 panic = 0x00000211
[ 5.999906] sof-audio-pci 0000:00:1f.3: error: extended rom status: 0x5 0x0 0x211 0x0 0x0 0x0 0x2530509 0x0
[ 5.999910] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 5.999911] sof-audio-pci 0000:00:1f.3: error: failed to boot DSP firmware -5
[ 6.001309] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -5

Revision history for this message
Hui Wang (hui.wang) wrote :

If you temporarily remove the sof-tgl-h.ri and bootup, check the dmesg, does the sof-audio-pci looks for sof-tgl-h.ri and fail to find?

Revision history for this message
Michael Black (mblack154) wrote :

Removed the link for sof-tgl-h.ri in /lib/firmware/intel/sof/. No errors about file not found. Same error as above.

Revision history for this message
Hui Wang (hui.wang) wrote :

or you temporarily change the folder name of /lib/firmware/intel/sof to /lib/firmware/intel/sof-bak, is there erro about file not found?

Revision history for this message
Michael Black (mblack154) wrote :

Missing file now. (sof-tgl.ri)

[ 2.977845] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 2.978089] snd_hda_intel 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 2.978153] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[ 2.978583] snd_hda_intel 0000:01:00.1: Disabling MSI
[ 2.978600] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client
[ 3.018686] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 3.019131] sof-audio-pci 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 3.019169] sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
[ 3.019977] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 4.278689] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.400440] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 4.413812] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 4
[ 4.413921] sof-audio-pci 0000:00:1f.3: Direct firmware load for intel/sof/sof-tgl.ri failed with error -2
[ 4.413926] sof-audio-pci 0000:00:1f.3: error: request firmware intel/sof/sof-tgl.ri failed err: -2
[ 4.413931] sof-audio-pci 0000:00:1f.3: error: failed to load DSP firmware -2
[ 4.414536] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -2

Revision history for this message
Hui Wang (hui.wang) wrote :

Please restore the folder name and try the latest sof-tgl.ri in the 1.7.x and 1.8.x then.

Revision history for this message
Michael Black (mblack154) wrote :

Looks like same error with 1.7.x and 1.8.x using sof-tgl.ri

[ 2.993700] sof-audio-pci 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 2.993714] sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
[ 2.993959] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 4.251402] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.387760] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 4.402321] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 4
[ 4.402952] sof-audio-pci 0000:00:1f.3: Firmware info: version 1:8:0-9e7a8
[ 4.402954] sof-audio-pci 0000:00:1f.3: Firmware: ABI 3:18:1 Kernel ABI 3:18:0
[ 4.402956] sof-audio-pci 0000:00:1f.3: warn: FW ABI is more recent than kernel
[ 4.402963] sof-audio-pci 0000:00:1f.3: unknown sof_ext_man header type 3 size 0x30
[ 6.520768] sof-audio-pci 0000:00:1f.3: error: firmware boot failure
[ 6.520777] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 6.520783] sof-audio-pci 0000:00:1f.3: error: status = 0x00000000 panic = 0x00000211
[ 6.520805] sof-audio-pci 0000:00:1f.3: error: extended rom status: 0x5 0x0 0x211 0x0 0x0 0x0 0x2530509 0x0
[ 6.520812] sof-audio-pci 0000:00:1f.3: status: fw entered - code 00000005
[ 6.520814] sof-audio-pci 0000:00:1f.3: error: failed to boot DSP firmware -5
[ 6.522883] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -5

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Revision history for this message
Hui Wang (hui.wang) wrote :

Could you please rename sof-tgl-h.ri to sof-tgl.ri, let kernel load this firmware and let us see what error log in the dmesg.

Revision history for this message
Michael Black (mblack154) wrote :
Download full text (6.2 KiB)

Tried versions 1.6, 1.7 and 1.8. Results from dmesg for each are below.

1.6
-------------------------------------------------------------------------
[ 2.813265] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 2.814293] snd_hda_intel 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 3.043586] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[ 3.043747] snd_hda_intel 0000:01:00.1: Disabling MSI
[ 3.043758] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client
[ 3.085850] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 3.086244] sof-audio-pci 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 3.086263] sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
[ 3.086518] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 4.419572] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.506416] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 4.526665] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 4
[ 4.623692] sof-audio-pci 0000:00:1f.3: Firmware info: version 1:6:1-53680
[ 4.623701] sof-audio-pci 0000:00:1f.3: Firmware: ABI 3:17:0 Kernel ABI 3:18:0
[ 4.635902] sof-audio-pci 0000:00:1f.3: Topology: ABI 3:17:0 Kernel ABI 3:18:0
[ 4.655486] sof-audio-pci 0000:00:1f.3: ASoC: physical link SDW3-Capture (id 4) not exist
[ 4.655496] sof-audio-pci 0000:00:1f.3: ASoC: topology: could not load header: -22
[ 4.655760] sof-audio-pci 0000:00:1f.3: error: tplg component load failed -22
[ 4.655767] sof-audio-pci 0000:00:1f.3: error: failed to load DSP topology -22
[ 4.655770] sof-audio-pci 0000:00:1f.3: ASoC: error at snd_soc_component_probe on 0000:00:1f.3: -22
[ 4.655773] sof-audio-pci 0000:00:1f.3: ASoC: failed to probe component -22
[ 4.655815] sof_sdw sof_sdw: ASoC: failed to instantiate card -22
[ 8.695612] sof_sdw sof_sdw: snd_soc_register_card failed -22
[ 8.695632] sof_sdw: probe of sof_sdw failed with error -22

1.7
-------------------------------------------------------------------------
[ 3.062326] sof-audio-pci 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 3.062905] sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
[ 3.064154] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 4.236932] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.460375] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 4.486526] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 4
[ 4.487058] sof-audio-pci 0000:00:1f.3: Firmware info: version 1:7:0-47d07
[ 4.487062] sof-audio-pci 0000:00:1f.3: Firmware: ABI 3:18:1 Kernel ABI 3:18:0
[ 4.487065] sof-audio-pci 0000:00:1f.3: warn: FW ABI is more recent than kernel
[ 4.487070] sof-audio-pci 0000:00:1f.3: unknown sof_ext_man header type 3 size 0x30
[ 4.595907] sof-audio-pci 0000:00:1f.3: Firmware info: version 1:7:0-47d07
[ 4.595914] sof-audio-pci 0000:00:1f.3: Firmware: ...

Read more...

Revision history for this message
Hui Wang (hui.wang) wrote :

According to #15, it looks like the topology file is not suitable for this machine.

Please file a bug to Intel/sof, let Intel engineers take a look at this issue.

https://github.com/thesofproject/linux/issues/new

Revision history for this message
Mohit Thakral (mthakral) wrote :

Even ubuntu 20.04 has the same issue. Audio device is shown as dummy device

Revision history for this message
Michael Black (mblack154) wrote :

Wang
Have a patch to test from intel. Attempting to compile doing the following:

1) Copy old config over to source
2) make oldconfig (Accept default changes)
3) make -j8
4) sudo make modules_install

At this point I get this error:

arch/x86/Makefile:148: CONFIG_X86_X32 enabled but no binutils support
sed: can't read modules.order: No such file or directory
make: *** [Makefile:1485: __modinst_pre] Error 2

I have made sure that binutils are install. Any input would be appropriated.

Revision history for this message
Hui Wang (hui.wang) wrote :

Where could I get that patch, let me build the testing kernel.

Revision history for this message
Hui Wang (hui.wang) wrote :

And you could try:

sudo apt install build-essential
sudo apt-get build-dep linux-image-xxxx (the running kernel)

Revision history for this message
Michael Black (mblack154) wrote (last edit ):

thanks @mblack154 can you try the patch in a312717

https://github.com/thesofproject/linux/commit/a312717b3d2a911a103e09dd313e533bb58d0dd0

You may need to rename the RT711_JD2 as SOF_RT711_JD_SRC_JD2 since a recent commit changed the JD definition.
https://lore.kernel<email address hidden>/

Revision history for this message
Michael Black (mblack154) wrote :

Got the kernel compiled this morning with the patch and I have sound. (5.14-rc2)

Revision history for this message
Perry Steger (perrysteger) wrote :

Excellent, Michael! Sound in and out?

Revision history for this message
Michael Black (mblack154) wrote : Re: [Bug 1935850] Re: Dell XPS 17 (9710) PCI/internal sound card not detected

Yes

On 7/26/21 2:05 PM, Perry Steger wrote:
> Excellent, Michael! Sound in and out?
>

Revision history for this message
Perry Steger (perrysteger) wrote :

Intel merged the bug fix for this issue two hours ago:

https://github.com/thesofproject/linux/pull/3059

When will this get pushed out in the standard Ubuntu 21.04 kernel update?

Revision history for this message
Hui Wang (hui.wang) wrote :

After the patch is merged to upstream (at least linux-next), I will backport it to ubuntu kernel.

@Michael, BTW, what version of sof-firmware did you install?

Revision history for this message
Raish khaitu (dragneel101) wrote :

@mblack154 How did you resolve this issue:
arch/x86/Makefile:148: CONFIG_X86_X32 enabled but no binutils support
sed: can't read modules.order: No such file or directory
make: *** [Makefile:1485: __modinst_pre] Error 2

i am still stuck here even after running these:
sudo apt install build-essential
sudo apt-get build-dep linux-image-xxxx (the running kernel)

Revision history for this message
Michael Black (mblack154) wrote :

Had to compile with:

copied over current cofig
Removed --> #CONFIG_SYSTEM_TRUSTED_KEYS
sudo make menuconfig
sudo make clean
sudo make deb-pkg LOCALVERSION=-custom KDEB_PKGVERSION=$(make
kernelversion)-1

Then installed the deb files.

Let me know if this works.

Michael

On 7/30/21 10:17 AM, Raish khaitu wrote:
> @mblack154 How did you resolve this issue:
> arch/x86/Makefile:148: CONFIG_X86_X32 enabled but no binutils support
> sed: can't read modules.order: No such file or directory
> make: *** [Makefile:1485: __modinst_pre] Error 2
>
> i am still stuck here even after running these:
> sudo apt install build-essential
> sudo apt-get build-dep linux-image-xxxx (the running kernel)
>

Revision history for this message
Raish khaitu (dragneel101) wrote :

I am getting this error @mblack154:

BTF: .tmp_vmlinux.btf: pahole (pahole) is not available
Failed to generate BTF for vmlinux
Try to disable CONFIG_DEBUG_INFO_BTF
make[3]: *** [Makefile:1177: vmlinux] Error 1
make[2]: *** [debian/rules:7: build-arch] Error 2
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2
make[1]: *** [scripts/Makefile.package:77: deb-pkg] Error 2
make: *** [Makefile:1560: deb-pkg] Error 2

Any advise would be helpful. should i just try and disable BTF?

Revision history for this message
Michael Black (mblack154) wrote :

Did you clone the src files from here?

https://github.com/thesofproject/linux.git

On 7/30/21 1:34 PM, Raish khaitu wrote:
> I am getting this error @mblack154:
>
> BTF: .tmp_vmlinux.btf: pahole (pahole) is not available
> Failed to generate BTF for vmlinux
> Try to disable CONFIG_DEBUG_INFO_BTF
> make[3]: *** [Makefile:1177: vmlinux] Error 1
> make[2]: *** [debian/rules:7: build-arch] Error 2
> dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2
> make[1]: *** [scripts/Makefile.package:77: deb-pkg] Error 2
> make: *** [Makefile:1560: deb-pkg] Error 2
>
>
> Any advise would be helpful. should i just try and disable BTF?
>

Revision history for this message
Raish khaitu (dragneel101) wrote :

yes i did. I am doing it all over again just in case if i miss anything. Thank you for the advise @mblack154

Revision history for this message
Raish khaitu (dragneel101) wrote :

Thanks @mblack154 its working now.

Revision history for this message
Mohit Thakral (mthakral) wrote :

So, the overall steps would be make a clone of

https://github.com/thesofproject/linux.git

and run following commands

```
sudo apt install build-essential
sudo apt-get build-dep linux-image-`uname -r` #(the running kernel)
```

and after that

copied over current cofig
Removed --> #CONFIG_SYSTEM_TRUSTED_KEYS
sudo make menuconfig
sudo make clean
sudo make deb-pkg LOCALVERSION=-custom KDEB_PKGVERSION=$(make
kernelversion) -1

Will this be sufficient

Revision history for this message
Hui Wang (hui.wang) wrote :

Do you need to update the sof-firmware apart from changing the kernel?

Revision history for this message
Raish khaitu (dragneel101) wrote :

@hui.wang as far as i know i didn't have to update the sof-firmware. Just changing the kernel did the work for me.

Revision history for this message
Will G (chippiewill-m) wrote :

The kernel patch for 9710 is now in the sound subsystem tree, it should be in linux-next sometime later today

https://mailman.alsa-project.org/pipermail/alsa-devel/2021-August/188208.html

Hui Wang (hui.wang)
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
Changed in linux (Ubuntu Hirsute):
importance: Undecided → Low
status: New → In Progress
Changed in linux (Ubuntu Impish):
status: Confirmed → In Progress
Changed in linux (Ubuntu Hirsute):
assignee: nobody → Hui Wang (hui.wang)
Revision history for this message
Hui Wang (hui.wang) wrote :

the patch is in the linux-next, and just sent the patch to ubuntu 5.11 and 5.13 generic kernels.

description: updated
Revision history for this message
Override (farbauti-19) wrote :

hui wang : Bug #1939205

help plz

Revision history for this message
Michael Black (mblack154) wrote :

Hui

So the patch should be in 5.11.0-26-generic? (Proposed)?

Michael

Revision history for this message
Hui Wang (hui.wang) wrote :

@Michael,

the patch will be in the 5.11.0-27-generic and later versions.

Revision history for this message
Michael Black (mblack154) wrote :
Download full text (3.9 KiB)

Thanks

> On Aug 9, 2021, at 21:45, Hui Wang <email address hidden> wrote:
>
> @Michael,
>
> the patch will be in the 5.11.0-27-generic and later versions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1935850
>
> Title:
> Dell XPS 17 (9710) PCI/internal sound card not detected
>
> Status in linux package in Ubuntu:
> In Progress
> Status in linux source package in Hirsute:
> In Progress
> Status in linux source package in Impish:
> In Progress
>
> Bug description:
> This patch is for soundwire audio, and only ubuntu 5.11-generic
> and later kernels support soundwire audio driver, so this patch is not
> sent to groovy and focal kernels.
>
> For oem-5.10 and oem-5.13 kernels, since this bug is not from OEM
> project, it is not urgent to merge this patch to OEM kenrels, after
> the patch is in the hirsute and impish kernels, the oem kernels will
> have this patch when syncing with generic kernels.
>
> [Impact]
> On the Dell XPS 17 (9710) machine, the audio card is not detected when
> booting hirsute or impish kernels. So the audio doesn't work on this
> machine with ubuntu linux 21.04 or 21.10.
>
> [Fix]
> Backport a upstream patch, this will set the correct codec config
> for this machine: rt711 for headset, dual rt1308 for spks and rt715
> for internal mic.
>
> [Test]
> Booting up with the patched kernel, the audio card is detected, test
> internal speaker and internal mic, all work well, plug a headset,
> the headphone and external mic work well too.
>
>
> [Where problems could occur]
> This change only applis to the Dell machines with the
> DMI_PRODUCT_SKU equals to "0A5D", if this could introduce the
> regression, it will make the audio (speaker, internal mic and headset)
> can't work anymore on the Dell machine with that PRODUCT_SKU, but this
> possibility is very low, and we tested the patch on the machine, so
> far no regression is found.
>
>
> No audio/mic from internal speakers/build in microphone running Ubuntu 20.04, 20.10 or 21.04 . Can connect via USB headset and audio will work. Tried suggestions from Dell XPS 17 (9700) but this is the new model and fixes do not work. Currently running 21.04 with proposed.
>
> Have tried hirsute-proposed (5.11.0-24-generic) with no luck.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 21.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu7
> ProcVersionSignature: Ubuntu 5.11.0-24.25-generic 5.11.22
> Uname: Linux 5.11.0-24-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.11-0ubuntu65.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: mblack 1698 F.... pulseaudio
> CasperMD5CheckResult: pass
> CurrentDesktop: ubuntu:GNOME
> Date: Mon Jul 12 11:21:27 2021
> InstallationDate: Installed on 2021-07-07 (4 days ago)
> InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
> PackageArchitecture: all
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: als...

Read more...

Revision history for this message
Michael Black (mblack154) wrote :

Just updated Linux xps17 5.11.0-31-generic #33
System is still showing Dummy Output for sound.

But, there are no errors in dmesg now.

[ 2.787880] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 2.787895] snd_hda_intel 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 3.071849] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[ 3.071922] snd_hda_intel 0000:01:00.1: Disabling MSI
[ 3.071931] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client

Thanks

Revision history for this message
Hui Wang (hui.wang) wrote :

@Michael,

The patch for 5.11.0-31-generic was rejected because it introduced a build failure (https://lists.ubuntu.com/archives/kernel-team/2021-August/123162.html), the fix patch will be in the -32 kernel, and once the -32 kernel merges this patch and is ready to test, the status will be changed to fix_committed, then you could test -32 kernel.

Revision history for this message
Michael Black (mblack154) wrote :

Thanks

On 8/16/21 8:18 PM, Hui Wang wrote:
> @Michael,
>
> The patch for 5.11.0-31-generic was rejected because it introduced a
> build failure (https://lists.ubuntu.com/archives/kernel-
> team/2021-August/123162.html), the fix patch will be in the -32 kernel,
> and once the -32 kernel merges this patch and is ready to test, the
> status will be changed to fix_committed, then you could test -32 kernel.
>

Revision history for this message
Robert Martin (enigmatix1983) wrote (last edit ):

After pulling the latest from the sofproject and building 5.14.0-rc6 for my Dell XPS 9710, I seem to be getting a topology error similar to that of @Michael, but differs from his in that it says my parent card isn't available. What might be the issue, could it be from my specific build?

Here is the relevant dmesg:

[ 2.927780] sof-audio-pci-intel-tgl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 2.927795] sof-audio-pci-intel-tgl 0000:00:1f.3: SoundWire enabled on CannonLake+ platform, using SOF driver
[ 2.927800] sof-audio-pci-intel-tgl 0000:00:1f.3: enabling device (0000 -> 0002)
[ 2.927932] sof-audio-pci-intel-tgl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 2.927987] sof-audio-pci-intel-tgl 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 2.938441] sof-audio-pci-intel-tgl 0000:00:1f.3: use msi interrupt mode
[ 2.949285] sof-audio-pci-intel-tgl 0000:00:1f.3: hda codecs found, mask 4
[ 3.031303] sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware info: version 1:6:1-53680
[ 3.031306] sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware: ABI 3:17:0 Kernel ABI 3:18:0
[ 3.062725] sof-audio-pci-intel-tgl 0000:00:1f.3: Topology: ABI 3:17:0 Kernel ABI 3:18:0
[ 3.062900] sof-audio-pci-intel-tgl 0000:00:1f.3: ASoC: Parent card not yet available, widget card binding deferred
[ 3.063027] sof-audio-pci-intel-tgl 0000:00:1f.3: ipc tx error for 0x30100000 (msg/reply size: 48/20): -22
[ 3.063029] sof-audio-pci-intel-tgl 0000:00:1f.3: error: failed to load widget PIPELINE.8.HDA2.OUT
[ 3.063061] sof-audio-pci-intel-tgl 0000:00:1f.3: error: tplg component load failed -22
[ 3.063064] sof-audio-pci-intel-tgl 0000:00:1f.3: error: failed to load DSP topology -22
[ 3.063065] sof-audio-pci-intel-tgl 0000:00:1f.3: ASoC: error at snd_soc_component_probe on 0000:00:1f.3: -22
[ 3.063075] sof_sdw sof_sdw: ASoC: failed to instantiate card -22
[ 3.073303] Failed to get private value: 755800 => 0000 ret=-16
[ 3.073348] sof_sdw sof_sdw: snd_soc_register_card failed -22

Revision history for this message
Hui Wang (hui.wang) wrote :
Revision history for this message
Michael Black (mblack154) wrote :

Wang
Just tried the kernel you posted and it is working.

Thanks
Michael

Revision history for this message
Robert Martin (enigmatix1983) wrote (last edit ):

@Hui

That kernel works! Was this a change not merged into sofproject as of yet? Thank you for all your hard work by the way!

Would you happen to have this version's code in a 5.13 kernel deb as well? I'm asking on behalf of some 21.04 users!

Revision history for this message
Hui Wang (hui.wang) wrote :

@Michael and Robert,

All patches were sent to the ubuntu kernel maillist to review, and please wait for the formal 5.11.0-generic kernel of the next cycle.

@Robert,

All patches were backported from sofproject or upstream kernel, and maybe the kconfig is not same when building the sof kernel and ubuntu kernel. The patches were also sent to ubuntu 5.13 and 5.14 kernel, please wait for those kernels of next cycle (please watch the impish status).

Revision history for this message
Mohit Thakral (mthakral) wrote :

I just installed `5.14.0` version of linux kernel from mainline. Even after that it shows dummy output and the sound input/output is not working.

Revision history for this message
Garry Burch (garryburch) wrote :

KDE NEON 5.22
Kernel Version 5.11.0.27-generic

Issue still with dummy output

Dell 9710

Revision history for this message
Adrian (dev-fx1) wrote (last edit ):

Until Kernel will be officially released, just use these:

https://people.canonical.com/~hwang4/9710/
---
sudo dpkg -i linux-image-unsigned-5.11.0-33-generic_5.11.0-33.35_amd64.deb linux-modules-5.11.0-33-generic_5.11.0-33.35_amd64.deb linux-modules-extra-5.11.0-33-generic_5.11.0-33.35_amd64.deb
---

Dell XPS 9710 audio/mic works in Ubuntu 20.04/21.04 without problems.

Changed in linux (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Royi Klein (royiklein40) wrote :

Adrian (dev-fx1) - This kernel cannot be loaded on the Precision 5760 (the brother of XPS 9710).

Revision history for this message
Hui Wang (hui.wang) wrote :

@Royi,

I don't have the machine xps 9710, but I have the Precision 5760, and I verified the kernel on the Precision 5760 already. What does that mean "kernel cant be loaded"?

Revision history for this message
Royi Klein (royiklein40) wrote :

@Hui Wang:

I get:
error: /boot/vmlinuz-5.11.0-33-generic has invalid signature.
Loading initial ramdisk ...
error: you need to load the kernel first.

Did you use the modules Adrian has provided or compiled the kernel by yourself?

Thanks!

Revision history for this message
Hui Wang (hui.wang) wrote :

Hi Royi,

please disable secure boot from BIOS and try this kernel.

thx.

On 9/5/21 2:15 PM, Royi Klein wrote:
> @Hui Wang:
>
> I get:
> error: /boot/vmlinuz-5.11.0-33-generic has invalid signature.
> Loading initial ramdisk ...
> error: you need to load the kernel first.
>
> Did you use the modules Adrian has provided or compiled the kernel by
> yourself?
>
> Thanks!
>

Revision history for this message
Michael Black (mblack154) wrote :

Hui
Was the 5.11.0-34-generic release suppose to have the patch in it?
Thanks
Michael

Revision history for this message
Will G (chippiewill-m) wrote :
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-hirsute
Revision history for this message
Perry Steger (perrysteger) wrote :

@hui your kernel works for me on my Dell XPS9710. Sound in and out. Thanks!!

In other words, in response to the kernel bot:

This patch solves the problem. If I knew how, I would change this to 'verification-done-hirsute'

Thanks again!

Revision history for this message
Will G (chippiewill-m) wrote :

For the avoidance of doubt I've just booted up `5.11.0-35-generic` from -proposed (after previously running Hui's build) and audio is working fine on my 9710.

tags: added: verification-done-hirsute
removed: hirsute verification-needed-hirsute
Revision history for this message
Michael Black (mblack154) wrote :

I can confirm the same with proposed.

On 9/7/21 3:40 PM, Will G wrote:
> For the avoidance of doubt I've just booted up `5.11.0-35-generic` from
> -proposed (after previously running Hui's build) and audio is working
> fine on my 9710.
>
> ** Tags removed: hirsute verification-needed-hirsute
> ** Tags added: verification-done-hirsute
>

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Michael Black (mblack154) wrote :

I have only verified proposed in hirsute.

Hui Wang (hui.wang)
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.13.0-16.16

---------------
linux (5.13.0-16.16) impish; urgency=medium

  * impish/linux: 5.13.0-16.16 -proposed tracker (LP: #1942611)

  * Miscellaneous Ubuntu changes
    - [Config] update toolchain in configs

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Enable CONFIG_UBSAN_BOUNDS"

 -- Andrea Righi <email address hidden> Fri, 03 Sep 2021 16:21:14 +0200

Changed in linux (Ubuntu Impish):
status: In Progress → Fix Released
Revision history for this message
Royi Klein (royiklein40) wrote :

Precsion 5760 - 5.11.0-36-generic, issue not solved (still dummy device)

Revision history for this message
Hui Wang (hui.wang) wrote :

@Royi,

Please try 5.11.0-37, if -37 doesn't work, please upload the dmesg.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (68.6 KiB)

This bug was fixed in the package linux - 5.11.0-37.41

---------------
linux (5.11.0-37.41) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-37.41 -proposed tracker (LP: #1944180)

  * CVE-2021-41073
    - io_uring: ensure symmetry in handling iter types in loop_rw_iter()

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2021.09.06)

  * LRMv5: switch primary version handling to kernel-versions data set
    (LP: #1928921)
    - [Packaging] switch to kernel-versions

  * disable “CONFIG_HISI_DMA” config for ubuntu version (LP: #1936771)
    - Disable CONFIG_HISI_DMA
    - [Config] Record hisi_dma no longer built for arm64

  * ubunut_kernel_selftests: memory-hotplug: avoid spamming logs with
    dump_page() (LP: #1941829)
    - selftests: memory-hotplug: avoid spamming logs with dump_page(), ratio limit
      hot-remove error test

  * alsa: the soundwire audio doesn't work on the Dell TGL-H machines
    (LP: #1941669)
    - ASoC: SOF: allow soundwire use desc->default_fw_filename
    - ASoC: Intel: tgl: remove sof_fw_filename set for tgl_3_in_1_default

  * e1000e blocks the boot process when it tried to write checksum to its NVM
    (LP: #1936998)
    - e1000e: Do not take care about recovery NVM checksum

  * Dell XPS 17 (9710) PCI/internal sound card not detected (LP: #1935850)
    - ASoC: Intel: sof_sdw: include rt711.h for RT711 JD mode
    - ASoC: Intel: sof_sdw: add quirk for Dell XPS 9710

  * mute/micmute LEDs no function on HP ProBook 650 G8 (LP: #1939473)
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 650 G8 Notebook PC

  * Fix mic noise on HP ProBook 445 G8 (LP: #1940610)
    - ALSA: hda/realtek: Limit mic boost on HP ProBook 445 G8

  * GPIO error logs in start and dmesg after update of kernel (LP: #1937897)
    - ODM: mfd: Check AAEON BFPI version before adding device

  * External displays not working on Thinkpad T490 with ThinkPad Thunderbolt 3
    Dock (LP: #1938999)
    - drm/i915/ilk-glk: Fix link training on links with LTTPRs

  * Fix kernel panic caused by legacy devices on AMD platforms (LP: #1936682)
    - SAUCE: iommu/amd: Keep swiotlb enabled to ensure devices with 32bit DMA
      still work

  * Hirsute update: upstream stable patchset 2021-08-30 (LP: #1942123)
    - drm/i915: Revert "drm/i915/gem: Asynchronous cmdparser"
    - Revert "drm/i915: Propagate errors on awaiting already signaled fences"
    - regulator: rtmv20: Fix wrong mask for strobe-polarity-high
    - regulator: rt5033: Fix n_voltages settings for BUCK and LDO
    - spi: stm32h7: fix full duplex irq handler handling
    - ASoC: tlv320aic31xx: fix reversed bclk/wclk master bits
    - r8152: Fix potential PM refcount imbalance
    - qed: fix possible unpaired spin_{un}lock_bh in _qed_mcp_cmd_and_union()
    - ASoC: rt5682: Fix the issue of garbled recording after powerd_dbus_suspend
    - net: Fix zero-copy head len calculation.
    - ASoC: ti: j721e-evm: Fix unbalanced domain activity tracking during startup
    - ASoC: ti: j721e-evm: Check for not initialized parent_clk_id
    - efi/mokvar: Reserve the table only if it is in boot services data
    - nvme: fix nvme_setup_command ...

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Royi Klein (royiklein40) wrote :

Precision 5760 - kernel 5.11.0-37-generic.
I cna confirm the audio is working correctly.
Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers